Skip to content
GET /unified/knowledge-base/collections

Query Parameters

Refer Specifying query parameters in Truto APIs

search_term
1 supported
Coda
supported
typestring

The type of the collection

Possible values:
categorysectiontopic
8 supported1 required
Zendesk - Help Center
required
Coda
supported
Discourse
supported
Help Scout Docs
supported
Intercom
supported
Readme
supported
Slab
supported
Webflow
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Collections

idstring
required·

The unique identifier for the collection

8 supported
Coda
supported
Discourse
supported
Help Scout Docs
supported
Intercom
supported
Readme
supported
Slab
supported
Webflow
supported
Zendesk - Help Center
supported
created_atstring · date-time

The date and time the collection was created

7 supported
Coda
supported
Help Scout Docs
supported
Intercom
supported
Readme
supported
Slab
supported
Webflow
supported
Zendesk - Help Center
supported
descriptionstring

The description of the collection

6 supported
Discourse
supported
Help Scout Docs
supported
Intercom
supported
Slab
supported
Webflow
supported
Zendesk - Help Center
supported
namestring

The name of the collection

8 supported
Coda
supported
Discourse
supported
Help Scout Docs
supported
Intercom
supported
Readme
supported
Slab
supported
Webflow
supported
Zendesk - Help Center
supported
parentobject

The parent of the collection

4 supported
Coda
supported
Intercom
supported
Slab
supported
Zendesk - Help Center
supported
2 properties
idstring

The unique identifier for the parent

typestring

The type of the parent

remote_dataRecord<string, any>

Raw data returned from the remote API call.

spaceobject

The space the collection belongs to

3 supported
Coda
supported
Help Scout Docs
supported
Intercom
supported
2 properties
idstring

The unique identifier for the space

namestring

The name of the space

typestring

The type of the collection

8 supported
Coda
supported
Discourse
supported
Help Scout Docs
supported
Intercom
supported
Readme
supported
Slab
supported
Webflow
supported
Zendesk - Help Center
supported
updated_atstring · date-time

The date and time the collection was last updated

6 supported
Coda
supported
Help Scout Docs
supported
Intercom
supported
Slab
supported
Webflow
supported
Zendesk - Help Center
supported
urlsobject[]

The urls of the collection

6 supported
Coda
supported
Help Scout Docs
supported
Intercom
supported
Slab
supported
Webflow
supported
Zendesk - Help Center
supported
2 properties
typestring

The type of the url

Possible values:
vieweditpublic_view
urlstring

The url of the collection

curl -X GET 'https://api.truto.one/unified/knowledge-base/collections?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/knowledge-base/collections?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/knowledge-base/collections"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'knowledge-base',
  'collections',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "knowledge-base",
        "collections",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())